/*******************************************************************************
 * Copyright (c) 2015, 2016 CNRS, IRIT, IRT AESE (IRT Saint Exupéry).
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the LGPL 3.0
 * which accompanies this distribution, and is available at
 * https://www.gnu.org/licenses/lgpl-3.0-standalone.html
 *
 * Contributors:
 *     Faiez Zalila - initial API and implementation and/or initial documentation
 *     Jorge Enrique Gutierrez Zuluaga
 *******************************************************************************/
package com.irtsaintexupery.fiacre.simulator.perspective.model;

import java.util.ArrayList;
import java.util.List;

public enum ValuesDataProvider {
	INSTANCE;
	
	///faire atention avec la privacité
	
	private static List<ValuesData> data = new ArrayList<ValuesData>();
	
	ValuesDataProvider() {
	}
	
	public static void addValues(ValuesData values){
		data.add(values);
	}
	
	public ValuesData getValues(Integer index){
		return data.get(index);
	}
	
	public List<ValuesData> getData(){
		return data;
	}
	
	public static void removeData(){
		data.clear();
	}
	
	
}
